slepc-3.10.1 2018-10-23
Report Typos and Errors

# STSHELL

Creates a new spectral transformation class. This is intended to provide a simple class to use with EPS. You should not use this if you plan to make a complete class.

### Usage

                PetscErrorCode (*apply)(void*,Vec,Vec);

                PetscErrorCode (*applytrans)(void*,Vec,Vec);

                PetscErrorCode (*backtr)(void*,PetscScalar*,PetscScalar*);

                STCreate(comm,&st);

                STSetType(st,STSHELL);

                STShellSetApply(st,apply);

                STShellSetApplyTranspose(st,applytrans);

                STShellSetBackTransform(st,backtr);    (optional)

Location: src/sys/classes/st/impls/shell/shell.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex35.c.html
src/eps/examples/tutorials/ex36.c.html